package com.atlassian.bitbucket.mesh.git.builder.rebase;

import javax.annotation.Nonnull;
import java.util.Optional;

import static java.util.Optional.ofNullable;

public enum GitRebaseVerify {

    DEFAULT(null),
    OFF("--no-verify"),
    ON("--verify");

    private final String flag;

    GitRebaseVerify(String flag) {
        this.flag = flag;
    }

    @Nonnull
    public Optional<String> getFlag() {
        return ofNullable(flag);
    }
}
